# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server.models.inline_response200_array_closures_points import InlineResponse200ArrayClosuresPoints  # noqa: F401,E501
from swagger_server import util


class InlineResponse2006(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, array_closures_points: List[InlineResponse200ArrayClosuresPoints]=None):  # noqa: E501
        """InlineResponse2006 - a model defined in Swagger

        :param array_closures_points: The array_closures_points of this InlineResponse2006.  # noqa: E501
        :type array_closures_points: List[InlineResponse200ArrayClosuresPoints]
        """
        self.swagger_types = {
            'array_closures_points': List[InlineResponse200ArrayClosuresPoints]
        }

        self.attribute_map = {
            'array_closures_points': 'ArrayClosuresPoints'
        }
        self._array_closures_points = array_closures_points

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2006':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_6 of this InlineResponse2006.  # noqa: E501
        :rtype: InlineResponse2006
        """
        return util.deserialize_model(dikt, cls)

    @property
    def array_closures_points(self) -> List[InlineResponse200ArrayClosuresPoints]:
        """Gets the array_closures_points of this InlineResponse2006.


        :return: The array_closures_points of this InlineResponse2006.
        :rtype: List[InlineResponse200ArrayClosuresPoints]
        """
        return self._array_closures_points

    @array_closures_points.setter
    def array_closures_points(self, array_closures_points: List[InlineResponse200ArrayClosuresPoints]):
        """Sets the array_closures_points of this InlineResponse2006.


        :param array_closures_points: The array_closures_points of this InlineResponse2006.
        :type array_closures_points: List[InlineResponse200ArrayClosuresPoints]
        """

        self._array_closures_points = array_closures_points
